<?php
/**
 * @file
 * popsu_pages.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function popsu_pages_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-page-europe-node';
  $context->description = 'Contexte d\'un noeud de type Page pour POPSU Europe (feature)';
  $context->tag = 'pages-europe-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_page' => 'popsu_page',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
    'node_taxonomy' => array(
      'values' => array(
        3 => 3,
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-6' => array(
          'module' => 'menu_block',
          'delta' => '6',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 1;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Page pour POPSU Europe (feature)');
  t('pages-europe-feature');
  $export['popsu-page-europe-node'] = $context;

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'popsu-page-node';
  $context->description = 'Contexte d\'un noeud de type Page POPSU (feature)';
  $context->tag = 'pages-feature';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'popsu_page' => 'popsu_page',
      ),
      'options' => array(
        'node_form' => '0',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'menu_block-3' => array(
          'module' => 'menu_block',
          'delta' => '3',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
        'menu_block-4' => array(
          'module' => 'menu_block',
          'delta' => '4',
          'region' => 'sidebar_first',
          'weight' => '-10',
        ),
      ),
    ),
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Contexte d\'un noeud de type Page POPSU (feature)');
  t('pages-feature');
  $export['popsu-page-node'] = $context;

  return $export;
}
